package com.uavps.system.udp.vo;

/**
 * @Author MBQ
 * @Date: 2025/1/15
 * @Description: 平台无人机
 * @Version: 1.0
 **/
public class UnmannedAerialVehicle {
    //无人机初始位置x
    private float initialPositionX;

    //无人机初始位置y
    private float initialPositionY;

    //无人机初始位置z
    private float initialPositionZ;

    //无人机初始速度
    private float initialSpeed;

    //无人机初始姿态x
    private float initialPoseX;

    //无人机初始姿态y
    private float initialPoseY;

    //无人机初始姿态z
    private float initialPoseZ;

    public float getInitialPositionX() {
        return initialPositionX;
    }

    public void setInitialPositionX(float initialPositionX) {
        this.initialPositionX = initialPositionX;
    }

    public float getInitialPositionY() {
        return initialPositionY;
    }

    public void setInitialPositionY(float initialPositionY) {
        this.initialPositionY = initialPositionY;
    }

    public float getInitialPositionZ() {
        return initialPositionZ;
    }

    public void setInitialPositionZ(float initialPositionZ) {
        this.initialPositionZ = initialPositionZ;
    }

    public float getInitialSpeed() {
        return initialSpeed;
    }

    public void setInitialSpeed(float initialSpeed) {
        this.initialSpeed = initialSpeed;
    }

    public float getInitialPoseX() {
        return initialPoseX;
    }

    public void setInitialPoseX(float initialPoseX) {
        this.initialPoseX = initialPoseX;
    }

    public float getInitialPoseY() {
        return initialPoseY;
    }

    public void setInitialPoseY(float initialPoseY) {
        this.initialPoseY = initialPoseY;
    }

    public float getInitialPoseZ() {
        return initialPoseZ;
    }

    public void setInitialPoseZ(float initialPoseZ) {
        this.initialPoseZ = initialPoseZ;
    }
}
